Subject: linux-next: manual merge of the vfs-brauner tree with the ext3 tree

From: Mark Brown <[email-masked]>
Date: Mon, 22 Sep 2025 09:37:34 +0100

Hi all,

Today's linux-next merge of the vfs-brauner tree got a conflict in:

  fs/quota/dquot.c

between commit:

  72b7ceca857f3 ("fs: quota: create dedicated workqueue for quota_release_work")

from the ext3 tree and commit:

  08621f25a2687 ("fs: replace use of system_unbound_wq with system_dfl_wq")

from the vfs-brauner tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

diff --cc fs/quota/dquot.c
index 6c4a6ee1fa2b6,afa15a2145382..0000000000000
--- a/fs/quota/dquot.c
+++ b/fs/quota/dquot.c

(ext3 version)